Version: 7.040
Release: 0.20221120%{dist}
URL: https://github.com/alerque/libertinus

# The identifier of the entity, that released the font family.

# The font family license identifier. Adjust as necessary. The OFL is our
# recommended font license.
%global fontlicense       OFL
#
# The following directives are lists of space-separated shell globs
#   – matching files associated with the font family,
#   – as they exist in the build root,
#   — at the end of the %build stage:
# – legal files (licensing…)
%global fontlicenses      OFL.txt
# – documentation files
%global fontdocs          *.txt *.md
# – exclusions from the ”fontdocs” list
%global fontdocsex        %{fontlicenses}

# The human-friendly font family name, whitespace included, restricted to the
# the Basic Latin Unicode block.
%global fontfamily Libertinus
%global fontsummary The Libertinus Fonts project
#
# More shell glob lists:
# – font family files
%global fonts             static/OTF/*.otf
# – fontconfig files
%global fontconfs         %{SOURCE10}

%global fontdescription   %{expand:
The Libertinus Fonts project includes four main type families:

The Libertinus Serif family:

  * 6 serif typefaces cover three weights (Regular, Semibold, Bold) in each of two styles (Regular, Italic); originally forked from Linux Libertine.

The Libertinus Sans family:

  * 3 sans-serif typefaces cover Regular, a Bold weight, and an Italic style; originally forked from Linux Biolinum.

The Libertinus Mono family:

  * 1 monospace typeface derived from the serif family; originally forked from Linux Libertine Mono.

The Libertinus Math family:

  * 1 OpenType math typeface derived from the serif family with many extra glyphs and features for use in OpenType math-capable applications (such as LuaTeX, XeTeX, or MS Word 2007+).

Additionally included are 3 special-use families with a single typeface each:

  * Libertinus Serif Display: A derivative of Libertinus Serif Regular optimized for display at large sizes.

  * Libertinus Serif Initials: A derivative of Libertinus Serif with outlined variants of capital letter glyphs suitable for drop-caps or other decorations.

  * Libertinus Keyboard: A derivative of Libertinus Sans with keyboard key outlines around each character suitable for use in technical documentation.
}

Source0: https://github.com/alerque/libertinus/releases/download/v%{version}/Libertinus-%{version}.tar.xz

Source10: 60-%{fontpkgname}.conf

Conflicts: texlive-libertinus-fonts

%fontpkg

%prep
%setup -n Libertinus-%{version}

%build
%fontbuild

%install
%fontinstall

%check
%fontcheck

%fontfiles

%changelog
